// подключение библиотек для nokia 5110
#include <Adafruit_GFX.h>
#include <Adafruit_PCD8544.h>
// подключение библиотеки Wire (для I2C)
#include <Wire.h>
// подключение библиотеки для bh1750
#include <BH1750FVI.h>
 

// Nokia 5110
// pin 13 - Serial clock out (SCLK)
// pin 12 - Serial data out (DIN)
// pin 11 - Data/Command select (D/C)
// pin 10 - LCD chip select (CS)
// pin 8 - LCD reset (RST)
Adafruit_PCD8544 display = Adafruit_PCD8544(13, 12, 11, 10, 8);
// bh1750
BH1750FVI myBH1750;
// для периода опроса датчика
unsigned long millis1=0;

void setup()
  {
  // запуск последовательного порта
  Serial.begin(9600);
  // инициализация дисплея
  display.begin();
  // установить контраст фона экрана
  display.setContrast(60);
  display.clearDisplay();       // очистить экран
  display.setTextSize(1);    // размер шрифта
  display.setTextColor(BLACK);   // цвет
  // заставка
  display.setCursor(10,5);   
  display.print("MAKERPLUS.RU"); 
  display.setCursor(30,15);   
  display.print("BH1750"); 
  display.display();
  // запуск bh1750
  myBH1750.begin();
  // пауза для заставки
  delay(2000);

  }
 
void loop() {
  // раз в 5 секунд
  if(millis()-millis1>=5000) {
     Serial.println(F("Sensitivity - 1.0, Continuous Mode (default settings)"));
     myBH1750.setSensitivity(1);
     Serial.print(F("Light level: "));
     Serial.print(myBH1750.readLightLevel());
     Serial.println(F(" +-0.5 lx"));
     Serial.println(F(""));
     // вывод на дисплей
     display.clearDisplay();       // очистить экран
     display.setCursor(10,5);   
     display.print("MAKERPLUS.RU"); 
     display.setCursor(15,15);   
     display.print("Light level: "); 
     display.setCursor(35,25);   
     display.print(myBH1750.readLightLevel()); 
     display.setCursor(20,35);   
     display.print(" +-0.5 lx");     
     display.display();
     millis1=millis();
  }
}
